Bug 1255485 - Web UI: "&para" string needs to be handled properly in Automate Instance
Web UI: "&para" string needs to be handled properly in Automate Instance
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Roman Blanco
Ramesh A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 13:46 EDT by Ramesh A
Modified: 2015-12-08 08:28 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:28:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
String not handled properly (68.50 KB, image/png)
2015-08-20 13:46 EDT, Ramesh A
no flags Details

  None (edit)
Description Ramesh A 2015-08-20 13:46:38 EDT
Created attachment 1065351 [details]
String not handled properly

Description of problem:
"&para" string needs to be handled properly in Automate Instance

Version-Release number of selected component (if applicable):
5.4.1.0.20150717083323_6ed7e1c

How reproducible:
Very

Steps to Reproduce:
1. Navigate to Automate ==> Explore ==> Datastore
2. Create or edit an exiting instance ==> add a string field like 
"/System/event_handlers/event_action_policy?target=src_vm&policy_event=vm_poweroff&param="
3. Save the instance and check for the value in the UI

Actual results:
The value shows up as '/System/event_handlers/event_action_policy?target=src_vm&policy_event=vm_poweroff¶m='
Refer teh screenshot for more details.

Expected results:
Should appropriately display the added string

Additional info:
Comment 1 Ramesh A 2015-08-20 13:47:46 EDT
Github link - https://github.com/ManageIQ/manageiq/issues/3957
Comment 4 Roman Blanco 2015-10-13 09:18:18 EDT
blocked by issue: https://github.com/ManageIQ/manageiq/issues/4832
Comment 5 Roman Blanco 2015-10-20 12:09:46 EDT
bug fixed by changes in PR https://github.com/ManageIQ/manageiq/pull/4636
Comment 6 Ramesh A 2015-10-27 09:39:32 EDT
Good to go.  Verified and working fine in 5.5.0.7-beta1.3.20151021133253_ed40d96
Comment 8 errata-xmlrpc 2015-12-08 08:28:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.